# Generated from raclette-0.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name raclette

Name: rubygem-%{gem_name}
Version: 0.0.0
Release: 1%{?dist}
Summary: A complete scraping framework
License: GPLv3
URL: https://github.com/mackwic/raclette
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Raclette is a fully featured scraping framework.
It provides out of the box massive parrallelisation of requests, proxy
support,
bot hidding, rake tasks generation, and many other features.
Raclette enable you to build a complete, robust, parrallel, site scraper in 20
lines or less. Isn't that awesome ?


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}

%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.0-1
- Initial package
